import type { PropType, ExtractPropTypes, App } from 'vue';
import { nextTick } from 'vue';
import type { SizeType } from '../config-provider';
export declare const inputNumberProps: {
    size: {
        type: PropType<SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: StringConstructor;
    name: StringConstructor;
    id: StringConstructor;
    type: StringConstructor;
    addonBefore: import("vue-types").VueTypeValidableDef<any>;
    addonAfter: import("vue-types").VueTypeValidableDef<any>;
    'update:value': {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
    };
    stringMode: {
        type: PropType<boolean>;
    };
    defaultValue: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    value: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    prefixCls: {
        type: PropType<string>;
    };
    min: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    max: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    step: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        default: number;
    };
    tabindex: {
        type: PropType<number>;
    };
    controls: {
        type: PropType<boolean>;
        default: boolean;
    };
    readonly: {
        type: PropType<boolean>;
    };
    disabled: {
        type: PropType<boolean>;
    };
    autofocus: {
        type: PropType<boolean>;
    };
    keyboard: {
        type: PropType<boolean>;
        default: boolean;
    };
    parser: {
        type: PropType<(displayValue: string) => import("./src/utils/MiniDecimal").ValueType>;
    };
    formatter: {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType, info: {
            userTyping: boolean;
            input: string;
        }) => string>;
    };
    precision: {
        type: PropType<number>;
    };
    decimalSeparator: {
        type: PropType<string>;
    };
    onInput: {
        type: PropType<(text: string) => void>;
    };
    onChange: {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
    };
    onPressEnter: {
        type: PropType<import("../_util/EventInterface").KeyboardEventHandler>;
    };
    onStep: {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType, info: {
            offset: import("./src/utils/MiniDecimal").ValueType;
            type: "up" | "down";
        }) => void>;
    };
};
export declare type InputNumberProps = Partial<ExtractPropTypes<typeof inputNumberProps>>;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            step: import("./src/utils/MiniDecimal").ValueType;
            bordered: boolean;
            keyboard: boolean;
            controls: boolean;
        }> & Omit<Readonly<{
            size?: unknown;
            bordered?: unknown;
            placeholder?: unknown;
            name?: unknown;
            id?: unknown;
            type?: unknown;
            addonBefore?: unknown;
            addonAfter?: unknown;
            'update:value'?: unknown;
            stringMode?: unknown;
            defaultValue?: unknown;
            value?: unknown;
            prefixCls?: unknown;
            min?: unknown;
            max?: unknown;
            step?: unknown;
            tabindex?: unknown;
            controls?: unknown;
            readonly?: unknown;
            disabled?: unknown;
            autofocus?: unknown;
            keyboard?: unknown;
            parser?: unknown;
            formatter?: unknown;
            precision?: unknown;
            decimalSeparator?: unknown;
            onInput?: unknown;
            onChange?: unknown;
            onPressEnter?: unknown;
            onStep?: unknown;
        } & {
            step: import("./src/utils/MiniDecimal").ValueType;
            bordered: boolean;
            keyboard: boolean;
            controls: boolean;
        } & {
            onChange?: (value: import("./src/utils/MiniDecimal").ValueType) => void;
            onInput?: (text: string) => void;
            prefixCls?: string;
            size?: SizeType;
            disabled?: boolean;
            value?: import("./src/utils/MiniDecimal").ValueType;
            name?: string;
            tabindex?: number;
            type?: string;
            max?: import("./src/utils/MiniDecimal").ValueType;
            min?: import("./src/utils/MiniDecimal").ValueType;
            defaultValue?: import("./src/utils/MiniDecimal").ValueType;
            placeholder?: string;
            autofocus?: boolean;
            id?: string;
            "update:value"?: (value: import("./src/utils/MiniDecimal").ValueType) => void;
            readonly?: boolean;
            addonBefore?: any;
            addonAfter?: any;
            onPressEnter?: import("../_util/EventInterface").KeyboardEventHandler;
            onStep?: (value: import("./src/utils/MiniDecimal").ValueType, info: {
                offset: import("./src/utils/MiniDecimal").ValueType;
                type: "up" | "down";
            }) => void;
            stringMode?: boolean;
            parser?: (displayValue: string) => import("./src/utils/MiniDecimal").ValueType;
            formatter?: (value: import("./src/utils/MiniDecimal").ValueType, info: {
                userTyping: boolean;
                input: string;
            }) => string;
            precision?: number;
            decimalSeparator?: string;
        }> & {
            onFocus?: (...args: any[]) => any;
            onBlur?: (...args: any[]) => any;
            onChange?: (...args: any[]) => any;
            onInput?: (...args: any[]) => any;
            "onUpdate:value"?: (...args: any[]) => any;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "step" | "bordered" | "keyboard" | "controls">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: "input" | "blur" | "change" | "focus" | "update:value", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            size?: unknown;
            bordered?: unknown;
            placeholder?: unknown;
            name?: unknown;
            id?: unknown;
            type?: unknown;
            addonBefore?: unknown;
            addonAfter?: unknown;
            'update:value'?: unknown;
            stringMode?: unknown;
            defaultValue?: unknown;
            value?: unknown;
            prefixCls?: unknown;
            min?: unknown;
            max?: unknown;
            step?: unknown;
            tabindex?: unknown;
            controls?: unknown;
            readonly?: unknown;
            disabled?: unknown;
            autofocus?: unknown;
            keyboard?: unknown;
            parser?: unknown;
            formatter?: unknown;
            precision?: unknown;
            decimalSeparator?: unknown;
            onInput?: unknown;
            onChange?: unknown;
            onPressEnter?: unknown;
            onStep?: unknown;
        } & {
            step: import("./src/utils/MiniDecimal").ValueType;
            bordered: boolean;
            keyboard: boolean;
            controls: boolean;
        } & {
            onChange?: (value: import("./src/utils/MiniDecimal").ValueType) => void;
            onInput?: (text: string) => void;
            prefixCls?: string;
            size?: SizeType;
            disabled?: boolean;
            value?: import("./src/utils/MiniDecimal").ValueType;
            name?: string;
            tabindex?: number;
            type?: string;
            max?: import("./src/utils/MiniDecimal").ValueType;
            min?: import("./src/utils/MiniDecimal").ValueType;
            defaultValue?: import("./src/utils/MiniDecimal").ValueType;
            placeholder?: string;
            autofocus?: boolean;
            id?: string;
            "update:value"?: (value: import("./src/utils/MiniDecimal").ValueType) => void;
            readonly?: boolean;
            addonBefore?: any;
            addonAfter?: any;
            onPressEnter?: import("../_util/EventInterface").KeyboardEventHandler;
            onStep?: (value: import("./src/utils/MiniDecimal").ValueType, info: {
                offset: import("./src/utils/MiniDecimal").ValueType;
                type: "up" | "down";
            }) => void;
            stringMode?: boolean;
            parser?: (displayValue: string) => import("./src/utils/MiniDecimal").ValueType;
            formatter?: (value: import("./src/utils/MiniDecimal").ValueType, info: {
                userTyping: boolean;
                input: string;
            }) => string;
            precision?: number;
            decimalSeparator?: string;
        }> & {
            onFocus?: (...args: any[]) => any;
            onBlur?: (...args: any[]) => any;
            onChange?: (...args: any[]) => any;
            onInput?: (...args: any[]) => any;
            "onUpdate:value"?: (...args: any[]) => any;
        }, () => import("vue").VNode<any, any, {
            [key: string]: any;
        }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("input" | "blur" | "change" | "focus" | "update:value")[], string, {
            step: import("./src/utils/MiniDecimal").ValueType;
            bordered: boolean;
            keyboard: boolean;
            controls: boolean;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        size?: unknown;
        bordered?: unknown;
        placeholder?: unknown;
        name?: unknown;
        id?: unknown;
        type?: unknown;
        addonBefore?: unknown;
        addonAfter?: unknown;
        'update:value'?: unknown;
        stringMode?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        prefixCls?: unknown;
        min?: unknown;
        max?: unknown;
        step?: unknown;
        tabindex?: unknown;
        controls?: unknown;
        readonly?: unknown;
        disabled?: unknown;
        autofocus?: unknown;
        keyboard?: unknown;
        parser?: unknown;
        formatter?: unknown;
        precision?: unknown;
        decimalSeparator?: unknown;
        onInput?: unknown;
        onChange?: unknown;
        onPressEnter?: unknown;
        onStep?: unknown;
    } & {
        step: import("./src/utils/MiniDecimal").ValueType;
        bordered: boolean;
        keyboard: boolean;
        controls: boolean;
    } & {
        onChange?: (value: import("./src/utils/MiniDecimal").ValueType) => void;
        onInput?: (text: string) => void;
        prefixCls?: string;
        size?: SizeType;
        disabled?: boolean;
        value?: import("./src/utils/MiniDecimal").ValueType;
        name?: string;
        tabindex?: number;
        type?: string;
        max?: import("./src/utils/MiniDecimal").ValueType;
        min?: import("./src/utils/MiniDecimal").ValueType;
        defaultValue?: import("./src/utils/MiniDecimal").ValueType;
        placeholder?: string;
        autofocus?: boolean;
        id?: string;
        "update:value"?: (value: import("./src/utils/MiniDecimal").ValueType) => void;
        readonly?: boolean;
        addonBefore?: any;
        addonAfter?: any;
        onPressEnter?: import("../_util/EventInterface").KeyboardEventHandler;
        onStep?: (value: import("./src/utils/MiniDecimal").ValueType, info: {
            offset: import("./src/utils/MiniDecimal").ValueType;
            type: "up" | "down";
        }) => void;
        stringMode?: boolean;
        parser?: (displayValue: string) => import("./src/utils/MiniDecimal").ValueType;
        formatter?: (value: import("./src/utils/MiniDecimal").ValueType, info: {
            userTyping: boolean;
            input: string;
        }) => string;
        precision?: number;
        decimalSeparator?: string;
    }> & {
        onFocus?: (...args: any[]) => any;
        onBlur?: (...args: any[]) => any;
        onChange?: (...args: any[]) => any;
        onInput?: (...args: any[]) => any;
        "onUpdate:value"?: (...args: any[]) => any;
    } & import("vue").ShallowUnwrapRef<() => import("vue").VNode<any, any, {
        [key: string]: any;
    }>> & {} & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    size?: unknown;
    bordered?: unknown;
    placeholder?: unknown;
    name?: unknown;
    id?: unknown;
    type?: unknown;
    addonBefore?: unknown;
    addonAfter?: unknown;
    'update:value'?: unknown;
    stringMode?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    prefixCls?: unknown;
    min?: unknown;
    max?: unknown;
    step?: unknown;
    tabindex?: unknown;
    controls?: unknown;
    readonly?: unknown;
    disabled?: unknown;
    autofocus?: unknown;
    keyboard?: unknown;
    parser?: unknown;
    formatter?: unknown;
    precision?: unknown;
    decimalSeparator?: unknown;
    onInput?: unknown;
    onChange?: unknown;
    onPressEnter?: unknown;
    onStep?: unknown;
} & {
    step: import("./src/utils/MiniDecimal").ValueType;
    bordered: boolean;
    keyboard: boolean;
    controls: boolean;
} & {
    onChange?: (value: import("./src/utils/MiniDecimal").ValueType) => void;
    onInput?: (text: string) => void;
    prefixCls?: string;
    size?: SizeType;
    disabled?: boolean;
    value?: import("./src/utils/MiniDecimal").ValueType;
    name?: string;
    tabindex?: number;
    type?: string;
    max?: import("./src/utils/MiniDecimal").ValueType;
    min?: import("./src/utils/MiniDecimal").ValueType;
    defaultValue?: import("./src/utils/MiniDecimal").ValueType;
    placeholder?: string;
    autofocus?: boolean;
    id?: string;
    "update:value"?: (value: import("./src/utils/MiniDecimal").ValueType) => void;
    readonly?: boolean;
    addonBefore?: any;
    addonAfter?: any;
    onPressEnter?: import("../_util/EventInterface").KeyboardEventHandler;
    onStep?: (value: import("./src/utils/MiniDecimal").ValueType, info: {
        offset: import("./src/utils/MiniDecimal").ValueType;
        type: "up" | "down";
    }) => void;
    stringMode?: boolean;
    parser?: (displayValue: string) => import("./src/utils/MiniDecimal").ValueType;
    formatter?: (value: import("./src/utils/MiniDecimal").ValueType, info: {
        userTyping: boolean;
        input: string;
    }) => string;
    precision?: number;
    decimalSeparator?: string;
}> & {
    onFocus?: (...args: any[]) => any;
    onBlur?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onInput?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
}, () => import("vue").VNode<any, any, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("input" | "blur" | "change" | "focus" | "update:value")[], "input" | "blur" | "change" | "focus" | "update:value", {
    step: import("./src/utils/MiniDecimal").ValueType;
    bordered: boolean;
    keyboard: boolean;
    controls: boolean;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    install: (app: App) => App<any>;
};
export default _default;
